build:clang10-mpi-release:
  image: localhost:5000/ubuntu_clang10_mpi
  stage: build
  needs: []
  script:
    - mkdir -p build/clang10-release-mpi
    - cd build/clang10-release-mpi
    - CXX=clang++-10 CC=clang-10 cmake ../.. -DCMAKE_BUILD_TYPE=Release -DCLANG_FORMAT=/usr/bin/clang-format-10
    - make pugs
  cache:
    key: "${CI_COMMIT_REF_SLUG}-clang10-release-mpi"
    paths:
      - build/clang10-release-mpi
    untracked: true

test:clang10-mpi-release:
  image: localhost:5000/ubuntu_clang10_mpi
  stage: test
  needs: ["build:clang10-mpi-release"]
  script:
    - mkdir -p build/clang10-release-mpi
    - cd build/clang10-release-mpi
    - CXX=clang++-10 CC=clang-10 cmake ../.. -DCMAKE_BUILD_TYPE=Release -DCLANG_FORMAT=/usr/bin/clang-format-10
    - make run_unit_tests
  cache:
    key: "${CI_COMMIT_REF_SLUG}-clang10-release-mpi"
    paths:
      - build/clang10-release-mpi
    untracked: true
